Patch Reporter Subscription
curl --request PATCH \
--url https://softmax.com/api/observatory/v2/reporters/subscriptions/{subscription_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"params": {},
"limits": {},
"publish_posts": true
}
'import requests
url = "https://softmax.com/api/observatory/v2/reporters/subscriptions/{subscription_id}"
payload = {
"enabled": True,
"params": {},
"limits": {},
"publish_posts": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, params: {}, limits: {}, publish_posts: true})
};
fetch('https://softmax.com/api/observatory/v2/reporters/subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"reporter_version_id": "<string>",
"owner_user_id": "<string>",
"league_id": "<string>",
"coworld_id": "<string>",
"cron": "<string>",
"params": {},
"publish_posts": true,
"enabled": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Reporters
Patch Reporter Subscription
PATCH
/
v2
/
reporters
/
subscriptions
/
{subscription_id}
Patch Reporter Subscription
Authorizations
Bearer token issued by Softmax
Path Parameters
Pattern:
^rsub_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Body
application/json
Response
Successful Response
Available options:
round_closed, episode_completed, cron ⌘I

